--- gcc5.spec	2016-02-10 11:42:50.189256125 +0100
+++ gcc5.minimal.spec	2016-02-10 11:47:58.435107923 +0100
@@ -1557,15 +1561,15 @@
 Summary:        Java Runtime Library for gcc
 License:        GPL-2.0-with-classpath-exception
 Group:          System/Libraries
-%if 0%{suse_version} > 1000
-Recommends:     libgcj-jar%{libdevel_suffix} = %{version}-%{release}
-%endif
-Provides:       libgcj%{libgcj_sover} = %{version}-%{release}
 Conflicts:      %selfconflict libgcj%{libgcj_sover}
-Provides:       libgij%{libgcj_sover} = %{version}-%{release}
+Conflicts:      %selfconflict libgcj-tools%{libgcj_sover}
 Conflicts:      %selfconflict libgij%{libgcj_sover}
+Provides:       libgcj%{libgcj_sover} = %{version}-%{release}
+Provides:       libgij%{libgcj_sover} = %{version}-%{release}
 Provides:       libgcj-tools%{libgcj_sover} = %{version}-%{release}
-Conflicts:      %selfconflict libgcj-tools%{libgcj_sover}
+%if 0%{?suse_version} > 1000
+Recommends:     libgcj-jar%{libdevel_suffix} = %{version}-%{release}
+%endif
 
 %description -n libgcj%{libdevel_suffix}
 This library is needed if you want to use the GNU Java compiler, gcj.
@@ -1585,7 +1589,6 @@
 %description -n gcc5-java
 The Java compiler from the GCC-tools-suite.
 
-
 %package -n libgcj_bc%{libgcj_bc_sover}%{libgcj_bc_suffix}
 Summary:        Fake library for BC-ABI compatibility.
 License:        GPL-2.0-with-classpath-exception
@@ -1594,15 +1597,15 @@
 # a proper libgcj version.  So require that library and add
 # provides for the shlib version as created at link time
 Requires:       libgcj%{libgcj_sover} >= %{version}-%{release}
+# Only one package may provide this - allows multiple gcc versions
+# to co-exist without an overly large list of provides/obsoletes
+Conflicts:      %selfconflict libgcj_bc%{libgcj_bc_sover}
+Provides:       libgcj_bc%{libgcj_bc_sover} = %{version}-%{release}
 %ifarch x86_64 ia64 ppc64 s390x sparc64 aarch64
 Provides:       libgcj_bc.so.%{libgcj_bc_sover}()(64bit)
 %else
 Provides:       libgcj_bc.so.%{libgcj_bc_sover}
 %endif
-Provides:       libgcj_bc%{libgcj_bc_sover} = %{version}-%{release}
-# Only one package may provide this - allows multiple gcc versions
-# to co-exist without an overly large list of provides/obsoletes
-Conflicts:      %selfconflict libgcj_bc%{libgcj_bc_sover}
 
 %description -n libgcj_bc%{libgcj_bc_sover}%{libgcj_bc_suffix}
 A fake library that is used at link time only. It ensures that
@@ -1610,7 +1613,6 @@
 This way, BC-ABI binaries continue to work if the SONAME underlying
 libgcj.so changes.
 
-
 %package -n libgcj-jar%{libdevel_suffix}
 Summary:        Java runtime library (jar files).
 License:        GPL-2.0-with-classpath-exception
@@ -1620,7 +1622,6 @@
 %description -n libgcj-jar%{libdevel_suffix}
 These are the jar files that go along with the gcj front end to gcc.
 
-
 %package -n libgcj-devel%{libdevel_suffix}
 Summary:        Include Files and Libraries mandatory for Development.
 License:        GPL-2.0-with-classpath-exception
@@ -1634,7 +1635,6 @@
 This package contains all necessary include files and libraries needed
 to develop applications that require these.
 
-
 %package -n gcc5-gij
 Summary:        Java Bytecode Interpreter for gcc
 License:        GPL-2.0-with-classpath-exception
@@ -1644,7 +1644,6 @@
 %description -n gcc5-gij
 This package contains the java bytecode interpreter gij and related tools.
 
-
 %package -n libstdc++%{libstdcxx_sover}%{libdevel_suffix}-doc
 Summary:        Documentation for the GNU C++ standard library
 License:        GPL-3.0+
@@ -1656,15 +1655,14 @@
 %description -n libstdc++%{libstdcxx_sover}%{libdevel_suffix}-doc
 Extensive HTML documentation for the GNU C++ standard library.
 
-
 %package -n libffi%{libffi_sover}%{libffi_suffix}
 Summary:        Foreign Function Interface library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libffi%{libffi_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libffi%{libffi_sover}
+Provides:       libffi%{libffi_sover} = %{version}-%{release}
 
 %description -n libffi%{libffi_sover}%{libffi_suffix}
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1672,14 +1670,15 @@
 %post -n libffi%{libffi_sover}%{libffi_suffix} -p /sbin/ldconfig
 
 %postun -n libffi%{libffi_sover}%{libffi_suffix} -p /sbin/ldconfig
+
 %package -n libffi%{libffi_sover}%{libffi_suffix}-32bit
 Summary:        Foreign Function Interface library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libffi%{libffi_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libffi%{libffi_sover}-32bit
+Provides:       libffi%{libffi_sover}-32bit = %{version}-%{release}
 
 %description -n libffi%{libffi_sover}%{libffi_suffix}-32bit
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1687,14 +1686,15 @@
 %post -n libffi%{libffi_sover}%{libffi_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libffi%{libffi_sover}%{libffi_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libffi%{libffi_sover}%{libffi_suffix}-64bit
 Summary:        Foreign Function Interface library
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
-Provides:       libffi%{libffi_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libffi%{libffi_sover}-64bit
+Provides:       libffi%{libffi_sover}-64bit = %{version}-%{release}
 
 %description -n libffi%{libffi_sover}%{libffi_suffix}-64bit
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1708,30 +1708,32 @@
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
 Requires:       libffi%{libffi_sover} >= %{version}-%{release}
-Provides:       libffi-devel = %{version}-%{release}
 Conflicts:      %selfconflict libffi-devel
+Provides:       libffi-devel = %{version}-%{release}
 Obsoletes:      libffi5-devel < %{version}-%{release}
 
 %description -n libffi-devel%{libdevel_suffix}
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
+
 %package -n libffi-devel%{libdevel_suffix}-32bit
 Summary:        Foreign Function Interface library development files
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
 Requires:       libffi%{libffi_sover}-32bit >= %{version}-%{release}
-Provides:       libffi-devel-32bit = %{version}-%{release}
 Conflicts:      %selfconflict libffi-devel-32bit
+Provides:       libffi-devel-32bit = %{version}-%{release}
 Obsoletes:      libffi5-devel-32bit < %{version}-%{release}
 
 %description -n libffi-devel%{libdevel_suffix}-32bit
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
+
 %package -n libffi-devel%{libdevel_suffix}-64bit
 Summary:        Foreign Function Interface library development files
 License:        BSD-3-Clause
 Group:          Development/Languages/C and C++
 Requires:       libffi%{libffi_sover}-64bit >= %{version}-%{release}
-Provides:       libffi-devel-64bit = %{version}-%{release}
 Conflicts:      %selfconflict libffi-devel-64bit
+Provides:       libffi-devel-64bit = %{version}-%{release}
 Obsoletes:      libffi5-devel-64bit < %{version}-%{release}
 
 %description -n libffi-devel%{libdevel_suffix}-64bit
@@ -1748,6 +1750,7 @@
 %description go
 This package contains a Go compiler and associated development
 files based on the GNU GCC technology.
+
 %package go-32bit
 Summary:        GNU Go Compiler
 License:        GPL-3.0+
@@ -1759,6 +1762,7 @@
 %description go-32bit
 This package contains a Go compiler and associated development
 files based on the GNU GCC technology.
+
 %package go-64bit
 Summary:        GNU Go Compiler
 License:        GPL-3.0+
@@ -1775,10 +1779,10 @@
 Summary:        GNU Go compiler runtime library
 License:        BSD-3-Clause
 Group:          Development/Languages/Other
-Provides:       libgo%{libgo_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgo%{libgo_sover}
+Provides:       libgo%{libgo_sover} = %{version}-%{release}
 
 %description -n libgo%{libgo_sover}%{libgo_suffix}
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1786,14 +1790,15 @@
 %post -n libgo%{libgo_sover}%{libgo_suffix} -p /sbin/ldconfig
 
 %postun -n libgo%{libgo_sover}%{libgo_suffix} -p /sbin/ldconfig
+
 %package -n libgo%{libgo_sover}%{libgo_suffix}-32bit
 Summary:        GNU Go compiler runtime library
 License:        BSD-3-Clause
 Group:          Development/Languages/Other
-Provides:       libgo%{libgo_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgo%{libgo_sover}-32bit
+Provides:       libgo%{libgo_sover}-32bit = %{version}-%{release}
 
 %description -n libgo%{libgo_sover}%{libgo_suffix}-32bit
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1801,14 +1806,15 @@
 %post -n libgo%{libgo_sover}%{libgo_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libgo%{libgo_sover}%{libgo_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libgo%{libgo_sover}%{libgo_suffix}-64bit
 Summary:        GNU Go compiler runtime library
 License:        BSD-3-Clause
 Group:          Development/Languages/Other
-Provides:       libgo%{libgo_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgo%{libgo_sover}-64bit
+Provides:       libgo%{libgo_sover}-64bit = %{version}-%{release}
 
 %description -n libgo%{libgo_sover}%{libgo_suffix}-64bit
 A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
@@ -1825,9 +1831,6 @@
 %description -n gcc5-testresults
 Results from running the gcc and target library testsuites.
 
-
-
-
 # Define the canonical target and host architecture
 #   %gcc_target_arch  is supposed to be the full target triple
 #   %cross_arch       is supposed to be the rpm target variant arch
@@ -1838,13 +1841,33 @@
 %else
 %define TARGET_ARCH %(echo %{_target_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/;s/sparc64.*/sparc64/;s/sparcv.*/sparc/;")
 %endif
-%define biarch %(case " %{biarch_targets} " in (*" %{TARGET_ARCH} "*) echo 1;; (*) echo 0;; esac)
 
+%define biarch %(case " %{biarch_targets} " in (*" %{TARGET_ARCH} "*) echo 1;; (*) echo 0;; esac)
 %define HOST_ARCH %(echo %{_host_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/;s/sparc64.*/sparc64/;s/sparcv.*/sparc/;")
+%define libsubdir %{_libdir}/gcc/%{GCCDIST}/%{gcc_dir_version}
+%define gxxinclude %{_includedir}/c++/%{gcc_dir_version}
+# Versionspecific directories
+%define versmainlibdir %{libsubdir}
+%define versmainlibdirbi32 %{libsubdir}/32
+%define versmainlibdirbi64 %{libsubdir}/64
+%define mainlibdir %{_libdir}
+%define mainlibdirbi32 %{_prefix}/lib
+%define mainlibdirbi64 %{_prefix}/lib64
+# Now define a few macros that make it easy to package libs and
+# related files just to the right package, without caring for the
+# exact path the files are in.
+#   %mainlib  package X from all dirs that belong to the main package
+#   %biarchlib   package X from all dirs that belong to the -32/64bit package
+%define mainlib() %{mainlibdir}/%{1}\
+%{nil}
+%define biarchlib() %{nil}
+%define versmainlib() %{versmainlibdir}/%{1}\
+%{nil}
+%define versbiarchlib() %{nil}
 %ifarch ppc
 %define GCCDIST powerpc64-suse-linux
 %else
-%ifarch %sparc
+%ifarch %{sparc}
 %define GCCDIST sparc64-suse-linux
 %else
 %ifarch %arm
@@ -1854,14 +1877,6 @@
 %endif
 %endif
 %endif
-
-%define libsubdir %{_libdir}/gcc/%{GCCDIST}/%{gcc_dir_version}
-%define gxxinclude %{_prefix}/include/c++/%{gcc_dir_version}
-
-# Versionspecific directories
-%define versmainlibdir %{libsubdir}
-%define versmainlibdirbi32 %{libsubdir}/32
-%define versmainlibdirbi64 %{libsubdir}/64
 %ifarch ppc
 %define versmainlibdirbi32 %{libsubdir}
 %define versmainlibdirbi64 %{libsubdir}/64
@@ -1871,45 +1886,28 @@
 %else
 %define versmainlibdirbi %{versmainlibdirbi64}
 %endif
-
-%define mainlibdir %{_libdir}
-%define mainlibdirbi32 %{_prefix}/lib
-%define mainlibdirbi64 %{_prefix}/lib64
 %if %{build_primary_64bit}
 %define mainlibdirbi %{mainlibdirbi32}
 %else
 %define mainlibdirbi %{mainlibdirbi64}
 %endif
-
-# Now define a few macros that make it easy to package libs and
-# related files just to the right package, without caring for the
-# exact path the files are in.
-#   %mainlib  package X from all dirs that belong to the main package
-#   %biarchlib   package X from all dirs that belong to the -32/64bit package
-%define mainlib() %{mainlibdir}/%1\
-%{nil}
-%define biarchlib() %{nil}
 %if %{biarch}
 %if !%{separate_biarch}
-%define mainlib() %{mainlibdir}/%1\
-%{mainlibdirbi}/%1\
+%define mainlib() %{mainlibdir}/%{1}\
+%{mainlibdirbi}/%{1}\
 %{nil}
 %else
-%define biarchlib() %{mainlibdirbi}/%1\
+%define biarchlib() %{mainlibdirbi}/%{1}\
 %{nil}
 %endif
 %endif
-
-%define versmainlib() %{versmainlibdir}/%1\
-%{nil}
-%define versbiarchlib() %{nil}
 %if %{biarch}
 %if !%{separate_biarch}
-%define versmainlib() %{versmainlibdir}/%1\
-%{versmainlibdirbi}/%1\
+%define versmainlib() %{versmainlibdir}/%{1}\
+%{versmainlibdirbi}/%{1}\
 %{nil}
 %else
-%define versbiarchlib() %{versmainlibdirbi}/%1\
+%define versbiarchlib() %{versmainlibdirbi}/%{1}\
 %{nil}
 %endif
 %endif
@@ -1927,7 +1925,7 @@
 %patch6
 %patch7
 %patch8
-%if %{suse_version} < 1310
+%if 0%{?suse_version} < 1310
 %patch9
 %endif
 %patch10
@@ -1963,33 +1961,33 @@
 cat gcc/FULL-VER | cut -d '.' -f 1 > gcc/BASE-VER
 
 # SLE11 does not allow empty rpms
-%if %{suse_version} < 1310
+%if 0%{?suse_version} < 1310
 echo "This is a dummy package to provide a dependency." > README
 %endif
 
 rm -rf obj-%{GCCDIST}
 mkdir obj-%{GCCDIST}
 cd obj-%{GCCDIST}
-RPM_OPT_FLAGS="$RPM_OPT_FLAGS -U_FORTIFY_SOURCE"
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g' -e 's/-Wmissing-format-attribute//g' -e 's/-fstack-protector[^ ]*//g' -e 's/-ffortify=.//g' -e 's/-Wall//g' -e 's/-m32//g' -e 's/-m64//g'`
+RPM_OPT_FLAGS="%{optflags} -U_FORTIFY_SOURCE"
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g' -e 's/-Wmissing-format-attribute//g' -e 's/-fstack-protector[^ ]*//g' -e 's/-ffortify=.//g' -e 's/-Wall//g' -e 's/-m32//g' -e 's/-m64//g'`
 %ifarch %ix86
 # -mcpu is superceded by -mtune but -mtune is not supported by
 # our bootstrap compiler.  -mcpu gives a warning that stops
 # the build process, so remove it for now.  Also remove all other
 # -march and -mtune flags.  They are superseeded by proper
 # default compiler settings now.
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-mcpu=i.86//g' -e 's/-march=i.86//g' -e 's/-mtune=i.86//g'`
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/-mcpu=i.86//g' -e 's/-march=i.86//g' -e 's/-mtune=i.86//g'`
 %endif
 %ifarch s390 s390x
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fsigned-char//g'`
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-O1/-O2/g'`
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/-fsigned-char//g'`
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/-O1/-O2/g'`
 %endif
 %if 0%{?gcc_target_arch:1}
 # Kill all -march/tune/cpu because that screws building the target libs
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-m\(arch\|tune\|cpu\)=[^ ]*//g'`
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/-m\(arch\|tune\|cpu\)=[^ ]*//g'`
 %endif
 # Replace 2 spaces by one finally
-RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/  / /g'`
+RPM_OPT_FLAGS=`echo %{optflags}|sed -e 's/  / /g'`
 
 languages=c
 %if %{build_cp}
@@ -2014,7 +2012,7 @@
 languages=$languages,go
 %endif
 
-J=%{?jobs:%jobs}
+J=%{?jobs:%{jobs}}
 if test -z "$J"; then
   J=$(getconf _NPROCESSORS_CONF)
   JL=$(($J * 2))
@@ -2053,11 +2051,11 @@
 # doesn't work due to PR33857, so an un-suffixed gnatmake has to be
 # available
 mkdir -p host-tools/bin
-cp -a /usr/bin/gnatmake%{hostsuffix} host-tools/bin/gnatmake
-cp -a /usr/bin/gnatlink%{hostsuffix} host-tools/bin/gnatlink
-cp -a /usr/bin/gnatbind%{hostsuffix} host-tools/bin/gnatbind
-cp -a /usr/bin/gcc%{hostsuffix} host-tools/bin/gcc
-ln -sf /usr/%{_lib} host-tools/%{_lib}
+cp -a %{_bindir}/gnatmake%{hostsuffix} host-tools/bin/gnatmake
+cp -a %{_bindir}/gnatlink%{hostsuffix} host-tools/bin/gnatlink
+cp -a %{_bindir}/gnatbind%{hostsuffix} host-tools/bin/gnatbind
+cp -a %{_bindir}/gcc%{hostsuffix} host-tools/bin/gcc
+ln -sf %{_libdir} host-tools/%{_lib}
 export PATH="`pwd`/host-tools/bin:$PATH"
 %endif
 #%if 0%{?gcc_target_arch:1}
@@ -2069,8 +2067,8 @@
 # temporary workaround for a miscompilation of hash functions in java code
 GCJ_EXTRA_FLAGS="-marm"
 %endif
-CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" XCFLAGS="$RPM_OPT_FLAGS" \
-TCFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="$RPM_OPT_FLAGS $GCJ_EXTRA_FLAGS" \
+CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" XCFLAGS="%{optflags}" \
+TCFLAGS="%{optflags}" GCJFLAGS="%{optflags} $GCJ_EXTRA_FLAGS" \
 ../configure \
 	--prefix=%{_prefix} \
 	--infodir=%{_infodir} \
@@ -2079,13 +2077,13 @@
 	--libexecdir=%{_libdir} \
 	--enable-languages=$languages \
 	$ENABLE_CHECKING \
-	--with-gxx-include-dir=%{_prefix}/include/c++/%{gcc_dir_version} \
+	--with-gxx-include-dir=%{_includedir}/c++/%{gcc_dir_version} \
 	--enable-ssp \
 	--disable-libssp \
 %if 0%{!?build_libvtv:1}
 	--disable-libvtv \
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 	--enable-libmpx \
 %endif
 	--disable-plugin \
@@ -2106,11 +2104,11 @@
 	--enable-__cxa_atexit \
 	--enable-libstdcxx-allocator=new \
 	--disable-libstdcxx-pch \
-%if 0%{suse_version} <= 1320
+%if 0%{?suse_version} <= 1320
 	--with-default-libstdcxx-abi=gcc4-compatible \
 %endif
 	--enable-version-specific-runtime-libs \
-%if 0%{suse_version} > 1100
+%if 0%{?suse_version} > 1100
 	--enable-linker-build-id \
 %endif
 	--enable-linux-futex \
@@ -2127,7 +2125,7 @@
 	--target=%{gcc_target_arch} \
 	--disable-nls \
 %if 0%{?sysroot:1}
-	--with-sysroot=%sysroot \
+	--with-sysroot=%{sysroot} \
 %else
 	--with-sysroot=%{_prefix}/%{gcc_target_arch} \
 %endif
@@ -2141,10 +2139,10 @@
 %endif
 %endif
 %if 0%{?binutils_os:1}
-	--with-build-time-tools=/usr/%{binutils_os}/bin \
+	--with-build-time-tools=%{_prefix}/%{binutils_os}/bin \
 %endif
 %if "%{TARGET_ARCH}" == "spu"
-	--with-gxx-include-dir=%sysroot/include/c++/%{gcc_dir_version} \
+	--with-gxx-include-dir=%{sysroot}/include/c++/%{gcc_dir_version} \
 	--with-newlib \
 %endif
 %endif
@@ -2176,7 +2174,7 @@
         --with-cpu=default32 \
 %endif
 %if "%{TARGET_ARCH}" == "powerpc64le"
-%if %{suse_version} >= 1315 && %{suse_version} != 1320
+%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
 	--with-cpu=power8 \
 	--with-tune=power8 \
 %else
@@ -2211,7 +2209,7 @@
 	--with-tune=generic \
 %endif
 %if "%{TARGET_ARCH}" == "s390"
-%if %{suse_version} >= 1310
+%if 0%{?suse_version} >= 1310
         --with-tune=zEC12 --with-arch=z196 \
 %else
 	--with-tune=z9-109 --with-arch=z900 \
@@ -2220,7 +2218,7 @@
 	--enable-decimal-float \
 %endif
 %if "%{TARGET_ARCH}" == "s390x"
-%if %{suse_version} >= 1310
+%if 0%{?suse_version} >= 1310
         --with-tune=zEC12 --with-arch=z196 \
 %else
 	--with-tune=z9-109 --with-arch=z900 \
@@ -2243,7 +2241,7 @@
 #%ifarch x86_64 ppc64le s390x
 #make profiledbootstrap STAGE1_CFLAGS="$STAGE1_FLAGS" BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
 #%else
-make STAGE1_CFLAGS="$STAGE1_FLAGS" BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
+make STAGE1_CFLAGS="$STAGE1_FLAGS" BOOT_CFLAGS="%{optflags}" $PARALLEL
 #%endif
 make info
 %if 0%{?building_libjava:1}
@@ -2267,54 +2265,54 @@
 cd obj-%{GCCDIST}
 # Work around tail/head -1 changes
 export _POSIX2_VERSION=199209
-export LIBRARY_PATH=$RPM_BUILD_ROOT%{libsubdir}:$RPM_BUILD_ROOT%{mainlibdirbi}
+export LIBRARY_PATH=%{buildroot}%{libsubdir}:%{buildroot}%{mainlibdirbi}
 %if 0%{?building_libffi:1}
-make -C %{GCCDIST}/libffi install DESTDIR=$RPM_BUILD_ROOT
+make -C %{GCCDIST}/libffi install DESTDIR=%{buildroot}
 # re-install the includes from the main multilib
-make -C %{GCCDIST}/libffi/include install DESTDIR=$RPM_BUILD_ROOT
+make -C %{GCCDIST}/libffi/include install DESTDIR=%{buildroot}
 %else
 %if 0%{?building_libjava:1}
-make -C %{GCCDIST}/libjava install DESTDIR=$RPM_BUILD_ROOT
-make -C gcc java.install-man DESTDIR=$RPM_BUILD_ROOT
-make -C gcc java.install-common DESTDIR=$RPM_BUILD_ROOT
-make -C gcc install-common DESTDIR=$RPM_BUILD_ROOT COMPILERS='jc1$(exeext) jvgenmain$(exeext)'
+make -C %{GCCDIST}/libjava install DESTDIR=%{buildroot}
+make -C gcc java.install-man DESTDIR=%{buildroot}
+make -C gcc java.install-common DESTDIR=%{buildroot}
+make -C gcc install-common DESTDIR=%{buildroot} COMPILERS='jc1$(exeext) jvgenmain$(exeext)'
 # copy the libstdc++ API reference
 cp -r %{GCCDIST}/libstdc++-v3/doc/doxygen/html ../libstdc++-v3/doc/html/api
 # install-common also installs collect2, gcov and the g++ and gfortran driver
 %if %{build_cp}
-rm $RPM_BUILD_ROOT%{_prefix}/bin/g++%{binsuffix}
+rm %{buildroot}%{_bindir}/g++%{binsuffix}
 %endif
 %if %{build_fortran}
-rm $RPM_BUILD_ROOT%{_prefix}/bin/gfortran%{binsuffix}
+rm %{buildroot}%{_bindir}/gfortran%{binsuffix}
 %endif
-rm $RPM_BUILD_ROOT%{_prefix}/bin/gcov%{binsuffix}
-rm $RPM_BUILD_ROOT%{_prefix}/bin/gcov-tool%{binsuffix}
-rm $RPM_BUILD_ROOT%{libsubdir}/collect2
+rm %{buildroot}%{_bindir}/gcov%{binsuffix}
+rm %{buildroot}%{_bindir}/gcov-tool%{binsuffix}
+rm %{buildroot}%{libsubdir}/collect2
 %else
-make install DESTDIR=$RPM_BUILD_ROOT
+make install DESTDIR=%{buildroot}
 %if %{build_java}
-make -C gcc java.uninstall DESTDIR=$RPM_BUILD_ROOT
-make -C gcc java.install-info DESTDIR=$RPM_BUILD_ROOT
-rm $RPM_BUILD_ROOT%{_prefix}/bin/jcf-dump%{binsuffix}
-rm $RPM_BUILD_ROOT%{_mandir}/man1/jcf-dump%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{libsubdir}/jc1
-rm $RPM_BUILD_ROOT%{libsubdir}/jvgenmain
+make -C gcc java.uninstall DESTDIR=%{buildroot}
+make -C gcc java.install-info DESTDIR=%{buildroot}
+rm %{buildroot}%{_bindir}/jcf-dump%{binsuffix}
+rm %{buildroot}%{_mandir}/man1/jcf-dump%{binsuffix}.1
+rm %{buildroot}%{libsubdir}/jc1
+rm %{buildroot}%{libsubdir}/jvgenmain
 %endif
 %endif
 %endif
 
 # Remove libffi installed files if we did not want to build it
 %if !0%{?building_libffi:1}
-rm -f $RPM_BUILD_ROOT%{mainlibdir}/libffi.*
+rm -f %{buildroot}%{mainlibdir}/libffi.*
 %if %{biarch}
-  rm -f $RPM_BUILD_ROOT%{mainlibdirbi}/libffi.*
+  rm -f %{buildroot}%{mainlibdirbi}/libffi.*
 %endif
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include/ffi.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include/ffitarget.h
-rm -f $RPM_BUILD_ROOT%{_mandir}/man3/ffi%{binsuffix}.3*
-rm -f $RPM_BUILD_ROOT%{_mandir}/man3/ffi_call%{binsuffix}.3*
-rm -f $RPM_BUILD_ROOT%{_mandir}/man3/ffi_prep_cif%{binsuffix}.3*
-rm -f $RPM_BUILD_ROOT%{_mandir}/man3/ffi_prep_cif_var%{binsuffix}.3*
+rm -f %{buildroot}%{libsubdir}/include/ffi.h
+rm -f %{buildroot}%{libsubdir}/include/ffitarget.h
+rm -f %{buildroot}%{_mandir}/man3/ffi%{binsuffix}.3*
+rm -f %{buildroot}%{_mandir}/man3/ffi_call%{binsuffix}.3*
+rm -f %{buildroot}%{_mandir}/man3/ffi_prep_cif%{binsuffix}.3*
+rm -f %{buildroot}%{_mandir}/man3/ffi_prep_cif_var%{binsuffix}.3*
 %endif
 
 # Remove some useless .la files
@@ -2322,18 +2320,18 @@
     libgomp libstdc++ libsupc++ libgcj-tools libgij libgo \
     libasan libatomic libitm libtsan libcilkrts liblsan libubsan libvtv \
     libgomp-plugin-host_nonshm libmpx libmpxwrappers libstdc++fs; do
-  rm -f $RPM_BUILD_ROOT%{versmainlibdir}/$lib.la
+  rm -f %{buildroot}%{versmainlibdir}/$lib.la
 %if %{biarch}
-  rm -f $RPM_BUILD_ROOT%{versmainlibdirbi}/$lib.la
+  rm -f %{buildroot}%{versmainlibdirbi}/$lib.la
 %endif
 done
 
-mkdir -p $RPM_BUILD_ROOT%{_libdir}
+mkdir -p %{buildroot}%{_libdir}
 %if %{biarch}
 %if %{build_primary_64bit}
-mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
+mkdir -p %{buildroot}%{_prefix}/lib
 %else
-mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
+mkdir -p %{buildroot}%{_prefix}/lib64
 %endif
 %endif
 
@@ -2363,7 +2361,7 @@
       exit 1
     fi
 
-    cat > $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/bits/c++config.h <<EOF
+    cat > %{buildroot}%{_includedir}/c++/%{gcc_dir_version}/%{GCCDIST}/bits/c++config.h <<EOF
 #ifndef _CPP_CPPCONFIG_WRAPPER
 #define _CPP_CPPCONFIG_WRAPPER 1
 #include <bits/wordsize.h>
@@ -2377,9 +2375,9 @@
     break
   fi
 done
-rm -rf $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/[36]*
+rm -rf %{buildroot}%{_includedir}/c++/%{gcc_dir_version}/%{GCCDIST}/[36]*
 if ! test -z "$dir_ml"; then
-  ln -s . $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/$dir_ml
+  ln -s . %{buildroot}%{_includedir}/c++/%{gcc_dir_version}/%{GCCDIST}/$dir_ml
 fi
 %endif
 
@@ -2390,7 +2388,7 @@
 %else
 %if %{build_fortran}
   libgfortran \
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
   libquadmath \
 %endif
 %endif
@@ -2404,73 +2402,73 @@
   libgo \
 %endif
   libgomp \
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
   libatomic \
 %endif
-%ifarch %itm_arch
+%ifarch %{itm_arch}
   libitm \
 %endif
-%ifarch %asan_arch
+%ifarch %{asan_arch}
   libasan \
 %endif
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
   libtsan \
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
   libcilkrts \
 %endif
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
   liblsan \
 %endif
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
   libubsan \
 %endif
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
   libvtv \
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
   libmpx libmpxwrappers \
 %endif
 %endif
     ; do
-  for lib in `find $RPM_BUILD_ROOT%{versmainlibdir} -maxdepth 1 -name $libname.so.*`; do
-    mv $lib $RPM_BUILD_ROOT%{mainlibdir}/
+  for lib in `find %{buildroot}%{versmainlibdir} -maxdepth 1 -name $libname.so.*`; do
+    mv $lib %{buildroot}%{mainlibdir}/
   done
-  ln -sf %{mainlibdir}/`readlink $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
-         $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so
+  ln -sf %{mainlibdir}/`readlink %{buildroot}%{versmainlibdir}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
+         %{buildroot}%{versmainlibdir}/$libname.so
 %if %{biarch}
-  if test -d $RPM_BUILD_ROOT%{versmainlibdirbi}; then
-    for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi} -maxdepth 1 -name "$libname.so.*"`; do
-      mv $lib $RPM_BUILD_ROOT%{mainlibdirbi}/
+  if test -d %{buildroot}%{versmainlibdirbi}; then
+    for lib in `find %{buildroot}%{versmainlibdirbi} -maxdepth 1 -name "$libname.so.*"`; do
+      mv $lib %{buildroot}%{mainlibdirbi}/
     done
-    ln -sf %{mainlibdirbi}/`readlink $RPM_BUILD_ROOT%{versmainlibdirbi}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
-         $RPM_BUILD_ROOT%{versmainlibdirbi}/$libname.so
+    ln -sf %{mainlibdirbi}/`readlink %{buildroot}%{versmainlibdirbi}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
+         %{buildroot}%{versmainlibdirbi}/$libname.so
   fi
 %endif
 done
 # FIXME, tsan and lsan are not multilib
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 %if %{biarch}
-rm -f $RPM_BUILD_ROOT%{versmainlibdirbi}/libtsan.so
+rm -f %{buildroot}%{versmainlibdirbi}/libtsan.so
 %endif
 %endif
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 %if %{biarch}
-rm -f $RPM_BUILD_ROOT%{versmainlibdirbi}/liblsan.so
+rm -f %{buildroot}%{versmainlibdirbi}/liblsan.so
 %endif
 %endif
 %if %{build_cp}
 %if !0%{?building_libjava:1}
 # And we want to move the shlib gdb pretty printers to a more sane
 # place so ldconfig does not complain
-mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdir}
-mv $RPM_BUILD_ROOT%{mainlibdir}/libstdc++.so.*-gdb.py $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdir}/
-sed -i -e '/^libdir/s/\/gcc\/%{GCCDIST}\/%{gcc_dir_version}//g' $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdir}/libstdc++.so.*-gdb.py
+mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdir}
+mv %{buildroot}%{mainlibdir}/libstdc++.so.*-gdb.py %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdir}/
+sed -i -e '/^libdir/s/\/gcc\/%{GCCDIST}\/%{gcc_dir_version}//g' %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdir}/libstdc++.so.*-gdb.py
 %if %{biarch}
-  if test -d $RPM_BUILD_ROOT%{versmainlibdirbi}; then
-    mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdirbi}
-    mv $RPM_BUILD_ROOT%{mainlibdirbi}/libstdc++.so.*-gdb.py $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdirbi}/
-    sed -i -e '/^libdir/s/\/gcc\/%{GCCDIST}\/%{gcc_dir_version}//g' $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load%{mainlibdirbi}/libstdc++.so.*-gdb.py
+  if test -d %{buildroot}%{versmainlibdirbi}; then
+    mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdirbi}
+    mv %{buildroot}%{mainlibdirbi}/libstdc++.so.*-gdb.py %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdirbi}/
+    sed -i -e '/^libdir/s/\/gcc\/%{GCCDIST}\/%{gcc_dir_version}//g' %{buildroot}%{_datadir}/gdb/auto-load%{mainlibdirbi}/libstdc++.so.*-gdb.py
   fi
 %endif
 %endif
